summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-12-07 22:23:04 +0000
committerMichał Górny <mgorny@gentoo.org>2012-12-07 22:23:04 +0000
commitcadc23461bce19c81873ca78d6e10770470658bb (patch)
treebe01e0d69178574ecd449b467b1c6101639e6c99 /eclass/distutils-r1.eclass
parentClean up elibtoolize logic and re-sync 9999/non-9999 ebuilds. (diff)
downloadgentoo-2-cadc23461bce19c81873ca78d6e10770470658bb.tar.gz
gentoo-2-cadc23461bce19c81873ca78d6e10770470658bb.tar.bz2
gentoo-2-cadc23461bce19c81873ca78d6e10770470658bb.zip
Use separate TMPDIR for each Python implementation.
Diffstat (limited to 'eclass/distutils-r1.eclass')
-rw-r--r--eclass/distutils-r1.eclass6
1 files changed, 5 insertions, 1 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index bd7f173ebd6e..33d716c9ed9e 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.29 2012/12/07 21:09:22 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.30 2012/12/07 22:23:04 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@@ -379,6 +379,10 @@ distutils-r1_run_phase() {
export PYTHONPATH
fi
+ local TMPDIR=${T}/${EPYTHON}
+
+ mkdir -p "${TMPDIR}" || die
+
if [[ ${DISTUTILS_NO_PARALLEL_BUILD} ]]; then
"${@}"
else